INITLOG(8)

NOM
initlog - Journaliser les messages et événements dans l'enregistreur chronologique automatique du système

SYNOPSIS
initlog [-cefnpqrs] [--cmd=ARG] [--event=ARG] [--facility=ARG] [--name=ARG] [--priority=ARG] [--run=ARG] [--string=ARG]

DESCRIPTION
initlog journalise les messages et événements dans l'enregistreur chronologique automatique du système. Il est principalement conçu pour être utilisé dans les scripts d'initialisation. initlog lit le fichier de configuration par défaut /etc/initlog.conf pour déterminer ses paramètres. Toute ligne débutant par un « # » est un commentaire, et les directives de configuration suivantes sont reconnues :

facility <facilité de journalisation>
    Configurer la facilité de journalisation par défaut.

priority <priorité de journalisation>
    Configurer la priorité de journalisation par défaut.

ignore <regexp>
    Les messages qui correspondent à l'expression rationnelle ne seront pas journalisés.

Le comportement d'initlog peut également être configuré par les options de la ligne de commande. Notez qu'initlog est déprécié et qu'il sera retiré dans une prochaine révision.

  OPTIONS

-c, --cmd=[programme]
    Exécuter le programme spécifié, journalisant toute sortie sur la sortie standard ou la sortie d'erreur.

-e, --event=[nombre]
    Journaliser le fait que l'événement spécifié soit survenu. Utilisée conjointement avec --name. Actuellement, les événements spécifiés sont :
    1   l'action a réussi
    2   l'action a échoué
    3   l'action a été annulée par l'utilisateur
    4   l'action a échoué à cause de l'échec d'une action dépendante

-f, --facility=[facilité]
    Journaliser à la facilité syslog spécifiée. La valeur par défaut est LOG_DAEMON (voir syslog(3)).

-n, --name=[chaîne]
    Journaliser l'événement sous la chaîne spécifiée, comme « inetd ».

-p, --priority=[priorité]
    Journaliser à la priorité syslog spécifiée. La valeur par défaut est LOG_NOTICE (voir syslog(3)).

-q  Ne pas afficher la sortie du programme à moins qu'il ne quitte avec un code de sortie non nul.

-r, --run=[programme]
    Exécuter le programme spécifié avec un descripteur de fichier ouvert qui permettra au programme de repasser des commandes à initlog.

-s, --string=[chaîne]
    Journaliser la chaîne spécifiée.

--conf=[fichier]
    Spécifier un fichier de configuration alternatif.

FICHIERS
/etc/initlog.conf

VOIR AUSSI
logger(1), syslog(3)

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 13 juillet 2006 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 initlog ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.